package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag422;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.MT422Creator;

/**
 * @author zh
 * @create 2023-02-27-17:27
 */
public class Tag72Creator extends AbsTagCreate {
    private MT422Creator mt422Creator;

    public Tag72Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt422Creator= (MT422Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag72Value = mt422Creator.getSenderToReceiverInformation();
        mt422Creator.set("72", tag72Value);
    }
}
